package com.zxhy.hfilemanagermaster

import android.annotation.SuppressLint
import android.content.Intent
import android.os.Bundle
import android.view.WindowManager
import androidx.activity.enableEdgeToEdge
import androidx.appcompat.app.AppCompatActivity
import androidx.core.content.ContextCompat
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import com.example.hfilemanagermaster.R
import com.example.hfilemanagermaster.databinding.ActivityOverviewBinding

class OverviewActivity : AppCompatActivity() {
    private lateinit var binding: ActivityOverviewBinding

    @SuppressLint("SetTextI18n")
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        binding = ActivityOverviewBinding.inflate(layoutInflater)
        setContentView(binding.root)

        window.statusBarColor = ContextCompat.getColor(this, R.color.color_B7FF03)
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main)) { v, insets ->
            val systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars())
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom)
            insets
        }
        binding.tvUse.text = "25%"
        binding.tvFree.text = "75GB"
        binding.ivManager.isSelected = true

        binding.cardView1.setOnClickListener { }
        binding.cardView2.setOnClickListener { }
        binding.cardView3.setOnClickListener { }

        binding.ivFile.setOnClickListener { }
        binding.ivWord.setOnClickListener { }
        binding.ivExcel.setOnClickListener { }
        binding.ivPdf.setOnClickListener { }
        binding.ivPpt.setOnClickListener { }

        binding.ivTools.setOnClickListener {
            val intent = Intent(this@OverviewActivity, ToolsActivity::class.java)
            startActivity(intent)
        }

    }
}